class PopupsController < ApplicationController

  respond_to :html

  def recording_controls
    render :layout => "minimal"
  end

  def media_controls
    render :layout => "minimal"
  end

  def how_to_use_video
    render :layout => "minimal"
  end

  def configure_video
    render :layout => "minimal"
  end

  def youtube_player
    @video_id = params[:id]
    render :layout => "minimal"
  end

  def video_upload
    @recording_id = params[:recording_id]
    gon.recording_id = @recording_id
    render :layout => "minimal"
  end


  def video_stream
    @session_id = params[:session_id]
    gon.session_id= @session_id
    render :layout => "minimal"
  end

  def video_stream
    @session_id = params[:session_id]
    gon.session_id= @session_id
    render :layout => "minimal"
  end

  def jamtrack_player
    enable_olark
    @jamtrack_id = params[:jam_track_id]
    @websocket = true
    gon.jamtrack_id = @jamtrack_id

    jam_track = JamTrack.find_by_id(@jamtrack_id)

    JamTrackSession.create_browser(jam_track, current_user) if jam_track && current_user

    render :layout => "minimal"
  end

  def jamtrack_download
    @jam_track_id = params[:jam_track_id]
    @jam_track_mixdown_id = params[:jam_track_mixdown_id]
    gon.jam_track_id = @jam_track_id
    gon.jam_track_mixdown_id = @jam_track_mixdown_id
    render :layout => "minimal"
  end
end